#!/bin/bash

dropdb borken
createdb borken

(
cat <<EOF

CREATE EXTENSION postgis;
CREATE EXTENSION postgis_topology;

CREATE TABLE test ( id INTEGER PRIMARY KEY );
SELECT addgeometrycolumn('test', 'geom', 900913, 'MULTIPOLYGON', 2);

EOF
) | psql borken

timesrid()
{
(
    cat <<EOF
\\timing
SELECT find_srid('', 'test', 'geom');
EOF
) | psql borken
}

function mkdummy()
{
    for i in $(eval echo {1..$2}); do
        (
        cat <<EOF
CREATE TABLE dummy$1$i ( id INTEGER PRIMARY KEY );
EOF
        ) | psql borken >/dev/null 2>&1
    done
}

timesrid
mkdummy 1 100
timesrid
mkdummy 2 100
timesrid
mkdummy 3 1000
timesrid
mkdummy 4 5000
timesrid
mkdummy 5 10000
timesrid
